<?php 
$mow_fn_option 	= mow_fn_theme_option();


if(has_nav_menu('footer_menu')){
	$footer_menu = wp_nav_menu( array('theme_location'  => 'footer_menu','menu_class' => 'footer_menu', 'echo' => false, 'link_before' => '', 'link_after' => '') );
}

$has_social = 'off_social';
if(isset($mow_fn_option['has_social'])){
	$has_social = $mow_fn_option['has_social'];
}
$has_social = 'on_social';

$has_widgets = 'off_widgets';
if(isset($mow_fn_option['has_widgets'])){
	$has_widgets = $mow_fn_option['has_widgets'];
}

$footer_w_col_count = 4;
if(isset($mow_fn_option['footer_w_col_count'])){
	$footer_w_col_count = $mow_fn_option['footer_w_col_count'];
}
$widgetHTML = $widgetArea = '';
if($footer_w_col_count != 'disable'){
	$footer_w_col_count__real = 0;
	for($i = 0; $i < (int)$footer_w_col_count; $i++){
		$sidebar = mow_fn_get_dynamic_sidebar_content('frenify_footer_'.($i+1).'_sidebar');
		if($sidebar != ''){
			$footer_w_col_count__real++;
			$widgetHTML .= '<div class="w_col">'.$sidebar.'</div>';
		}
	}
	if($widgetHTML != ''){
		$widgetArea = '<div class="footer_w_social_wrapper"><div class="container"><div class="footer_w_social"><div class="w_cols" data-cols="'.$footer_w_col_count__real.'">'.$widgetHTML.'</div></div></div></div>';
	}
}

?>

	</div>
	<!-- Close Page -->

			
	<?php mow_fn_get_ads('footer_above', true);?>

	<!-- Footer -->
	<footer id="mow_fn_footer" class="mow_fn_footer <?php echo esc_attr($has_social);?> <?php echo esc_attr($has_widgets);?>">

		<?php 
			if($has_social == 'on_social'){
				mow_fn_footer_social(true);
			}
		?>

		<?php echo wp_kses($widgetArea,'post'); ?>
		

		<!-- Footer Bottom -->
		<div class="footer_bottom">
			<div class="container">
				<div class="footer_bottom_in">

					<?php if(has_nav_menu('footer_menu')){ ?>
					<div class="fbi_item">
						<?php echo wp_kses($footer_menu, 'post'); ?>
					</div>
					<?php } ?>

					<div class="fbi_item">
						<p class="copyright">
							<?php 
								if(isset($mow_fn_option['footer__copyright'])){
									echo wp_kses(do_shortcode( shortcode_unautop( $mow_fn_option['footer__copyright'] )) , 'post');
								}else{
									esc_html_e('Copyright &copy; 2025 MOW. All rights reserved.', 'mow');
								}
							?>
						</p>
					</div>

				</div>
			</div>
		</div>
		<!-- /Footer Bottom -->

	</footer>
	<!-- !Footer -->

</div>


<?php get_template_part( 'inc/templates/footer-after' ); ?>
<?php wp_footer(); ?>
</body>
</html>