<?php

namespace Frel;

// Exit if accessed directly. 
if ( ! defined( 'ABSPATH' ) ) { exit; }


// Helper Class
class Frel_Helper
{
	
	public static function frel_open_wrap($container = ''){
		$html = '';
		if($container == 'container'){$html .= '<div class="container">';}
		return $html;
	}
	public static function frel_close_wrap($container = ''){
		$html = '';
		if($container == 'container'){$html .= '</div>';}
		return $html;
	}
	
	
	public static function getAllAuthors(){
		$users = get_users();
		$array = array();
		foreach ($users as $user) {
			$userID = $user->ID;
		   	$array[$userID] = '(ID: '.$userID.') '. $user->display_name . ' ( '.count_user_posts($userID).' )';
		}
		return $array;
	}

	
}
