<?php 

get_header();
$mow_fn_option 			= mow_fn_theme_option();
$seo_404_not_found 		= 'h3';
if(isset($mow_fn_option['seo_404_not_found'])){
	$seo_404_not_found 	= $mow_fn_option['seo_404_not_found'];
}
$seo_404_desc 				= 'p';
if(isset($mow_fn_option['seo_404_desc'])){
	$seo_404_desc 		= $mow_fn_option['seo_404_desc'];
}
?>
          	
<!-- ERROR PAGE -->
<div class="mow_fn_404">
    <div class="container">
        <div class="message_holder">
            <div class="title_holder">
                <span class="icon" aria-label="<?php esc_attr_e('404 Not Found', 'mow'); ?>"><?php mow_fn_svg('svg__404', '', true); ?></span>
                <?php 
                    printf('<%1$s class="fn__maintitle">%2$s</%1$s>', esc_attr($seo_404_not_found), esc_html__('Page Not Found', 'mow'));
                    printf('<%1$s class="fn__desc">%2$s</%1$s>', esc_attr($seo_404_desc), esc_html__('Sorry, but the page you are looking for was moved, removed, renamed, or might never have existed...', 'mow'));
                ?>
            </div>
            <form action="<?php echo esc_url(home_url('/')); ?>" method="get">
                <input type="text" name="s" placeholder="<?php esc_attr_e('Search here...', 'mow'); ?>" autocomplete="off" aria-label="<?php esc_attr_e('Search field', 'mow'); ?>">
                <div class="search">
                    <input type="submit" class="pe-7s-search" value="<?php esc_attr_e('Search', 'mow'); ?>">
                </div>
            </form>
        </div>
    </div>
</div>

<!-- /ERROR PAGE -->

        
<?php get_footer(); ?>