<?php

/* ------------------------------------------------------------------------ */
/* Define Sidebars */
/* ------------------------------------------------------------------------ */

add_action( 'widgets_init', 'mow_fn_widgets_init', 1000 );

function mow_fn_widgets_init() {
	if (function_exists('register_sidebar')) {

		/* ------------------------------------------------------------------------ */
		/* Main Sidebar
		/* ------------------------------------------------------------------------ */
		register_sidebar(array(
			'name' 			=> 'Main Sidebar',
			'id'   			=> 'main-sidebar',
			'description'   => esc_html__('These are widgets for the sidebar.', 'mow'),
			'before_widget' => '<div id="%1$s" class="widget_block clear %2$s"><div>',
			'after_widget'  => '</div></div>',
			'before_title'  => '<div class="wid-title"><span class="text"><span>',
			'after_title'   => '</span></span></div>'
		));

		/* ------------------------------------------------------------------------ */
		/* Secondary Sidebar
		/* ------------------------------------------------------------------------ */
		register_sidebar(array(
			'name' 			=> 'Secondary Sidebar',
			'id'   			=> 'secondary-sidebar',
			'description'   => esc_html__('These are widgets for the sidebar.', 'mow'),
			'before_widget' => '<div id="%1$s" class="widget_block clear %2$s"><div>',
			'after_widget'  => '</div></div>',
			'before_title'  => '<div class="wid-title"><span class="text"><span>',
			'after_title'   => '</span></span></div>'
		));

		/* ------------------------------------------------------------------------ */
		/* Off-canvas Sidebar
		/* ------------------------------------------------------------------------ */
		register_sidebar(array(
			'name' 				=> 'Off-Canvas Sidebar',
			'id'   				=> 'frenify_offcanvas_sidebar',
			'description'   	=> esc_html__('These are widgets for the sidebar.', 'mow'),
			'before_widget' 	=> '<div id="%1$s" class="widget_block fn__clearfix %2$s">',
			'after_widget'  	=> '</div>',
			'before_title'  	=> '<div class="wid-title"><span class="text"><span>',
			'after_title'   	=> '</span></span></div>'
		));

		/* ------------------------------------------------------------------------ */
		/* Footer Widget Area #1
		/* ------------------------------------------------------------------------ */
		register_sidebar(array(
			'name' 				=> 'Footer #1 Sidebar',
			'id'   				=> 'frenify_footer_1_sidebar',
			'description'   	=> esc_html__('These are widgets for the sidebar.', 'mow'),
			'before_widget' 	=> '<div id="%1$s" class="widget_block fn__clearfix %2$s">',
			'after_widget'  	=> '</div>',
			'before_title'  	=> '<div class="wid-title"><span class="text"><span>',
			'after_title'   	=> '</span></span></div>'
		));

		/* ------------------------------------------------------------------------ */
		/* Footer Widget Area #12
		/* ------------------------------------------------------------------------ */
		register_sidebar(array(
			'name' 				=> 'Footer #2 Sidebar',
			'id'   				=> 'frenify_footer_2_sidebar',
			'description'   	=> esc_html__('These are widgets for the sidebar.', 'mow'),
			'before_widget' 	=> '<div id="%1$s" class="widget_block fn__clearfix %2$s">',
			'after_widget'  	=> '</div>',
			'before_title'  	=> '<div class="wid-title"><span class="text"><span>',
			'after_title'   	=> '</span></span></div>'
		));

		/* ------------------------------------------------------------------------ */
		/* Footer Widget Area #3
		/* ------------------------------------------------------------------------ */
		register_sidebar(array(
			'name' 				=> 'Footer #3 Sidebar',
			'id'   				=> 'frenify_footer_3_sidebar',
			'description'   	=> esc_html__('These are widgets for the sidebar.', 'mow'),
			'before_widget' 	=> '<div id="%1$s" class="widget_block fn__clearfix %2$s">',
			'after_widget'  	=> '</div>',
			'before_title'  	=> '<div class="wid-title"><span class="text"><span>',
			'after_title'   	=> '</span></span></div>'
		));

		/* ------------------------------------------------------------------------ */
		/* Footer Widget Area #4
		/* ------------------------------------------------------------------------ */
		register_sidebar(array(
			'name' 				=> 'Footer #4 Sidebar',
			'id'   				=> 'frenify_footer_4_sidebar',
			'description'   	=> esc_html__('These are widgets for the sidebar.', 'mow'),
			'before_widget' 	=> '<div id="%1$s" class="widget_block fn__clearfix %2$s">',
			'after_widget'  	=> '</div>',
			'before_title'  	=> '<div class="wid-title"><span class="text"><span>',
			'after_title'   	=> '</span></span></div>'
		));
	}
}

    
?>