<?php

get_header();

global $post;

$mow_fn_option = mow_fn_theme_option();

$layout = 'classic';
if(isset($mow_fn_option['blog_layout'])){
	$layout = $mow_fn_option['blog_layout'];
}


$page_style = 'ws';
	
if($page_style == 'ws' && !mow_fn_if_has_sidebar()){
	$page_style = 'full';
}

// Check if page is password protected	
if(post_password_required($post)){
	mow_fn_protectedpage();
}else{ ?>

<div class="mow_fn_index">

	<?php mow_fn_get_page_title(); ?>
	
	<?php 
	if($page_style == 'full'){ 
		get_template_part('inc/templates/blog','',array('layout' => $layout));
	}else{ ?>
	<div class="mow_fn_ws">
		<div class="container">
			<div class="wspage_cols">
				<div class="wspage_col wspage_list">
					<div class="wspage_in">
						<?php get_template_part('inc/templates/blog','',array('layout' => $layout)); ?>
					</div>
				</div>
				<div class="wspage_col wspage_bar">
					<div class="wspage_in">
						<?php get_sidebar(); ?>
					</div>
				</div>
			</div>
		</div>
	</div>
	<?php } ?>

</div>

<?php } ?>


<?php get_footer(); ?>