<?php 

get_header();

global $post;
$mow_fn_option = mow_fn_theme_option();

// Check if page is password protected	
if(post_password_required($post)){
	mow_fn_protectedpage();
}
else
{

	if(function_exists('rwmb_meta') && isset(get_post_meta(get_the_ID())['mow_fn_page_style'])){
		$page_style = get_post_meta(get_the_ID(), 'mow_fn_page_style', true);
	}else{
		$page_style = 'contained';
	}

	if($page_style == 'full'){
		$container = 'no_container';
	}else{
		$container = 'container';
	}
?>




<div class="mow_fn_full_page_template" data-style="<?php echo esc_attr($page_style); ?>">
	
	<?php mow_fn_get_page_title(); ?>
				
	<!-- ALL PAGES -->		
	<div class="mow_fn_full_page_in">

		
		<div class="<?php echo esc_attr($container); ?>">
			<div class="clearfix"></div>

			<div class="full_content">
				<?php the_content(); ?>
			</div>

			<div class="clearfix"></div>
			
			<?php wp_link_pages(
				array(
					'before'      => '<div class="mow_fn_pagelinks"><span class="title">' . esc_html__( 'Pages:', 'mow' ). '</span>',
					'after'       => '</div>',
					'link_before' => '<span class="number">',
					'link_after'  => '</span>',
				)); 
			?>
		</div>
		
		<?php if ( comments_open() || get_comments_number()){?>
		<div class="mow_fn_comment_wrapper">
			<div class="container">
				<div class="mow_fn_commentss" id="comments">
					<?php echo wp_kses(mow_fn_get_comments(),'post'); ?>
				</div>
			</div>
		</div>
		<?php } ?>
		
		
	
		
	</div>
</div>





<?php } ?>

<?php get_footer(); ?>