/*
 * Copyright (c) 2023 frenify
 * Author: Frenify
 * This file is made for CURRENT Theme
*/

(function($){
	"use strict";
	
	var FrenifySubscribeInit = {
			
		init: function(){
			this.helpCenterOpener();
		},
		
		helpCenterOpener: function(){
			var divs = $('.mow_be_header .icons_panel > div');
			var span = $('.mow_be_header .icons_panel > div > span');
			if(span.length){
				span.off().on('click',function(event){
					event.stopPropagation();

					var button = $(this);
					var parent = button.parent();
					if(parent.hasClass('opened')){
						parent.removeClass('opened');
					}else{
						divs.removeClass('opened');
						parent.addClass('opened');
					}
				});
				$('.mow_be_help_popup,.mow_be_shortcode_popup').on('click',function(event){
					event.stopPropagation();
				});
				$(window).on('click',function(){
					divs.removeClass('opened');
				});
			}
		},
		
	
		bg_images: function(){
			var data			= $('*[data-bg-img]');
			data.each(function(){
				var element			= $(this);
				var url				= element.data('bg-img');
				element.css({backgroundImage: 'url('+url+')'});
			});
		},
	};
	
	$(document).ready(function(){
		// initialization
		FrenifySubscribeInit.init();

	});
	
	$(window).on('resize', function(){
		// initialization

	});
	
})(jQuery);
